Foxit PDF SDK

Instance Methods | List of all members
FSCombineDocumentInfoArray Class Reference

Inherits NSObject.

## Instance Methods
(void) | - add:
| Add an element to the end of current array. More...
(FSCombineDocumentInfo *) | - getAt:
| Retrieve a copy of the element at position specified by index in current array. More...
(unsigned long) | - getSize
| Get the size of elements in current array. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another array object. More...
(void) | - insertAt:element:
| Insert an element before the position specified by index. More...
(void) | - removeAll
| Remove all the element from current array. More...
(void) | - removeAt:
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of FSCombineDocumentInfo objects.

## Method Documentation

## ◆ add:()

- (void) add: |  | (FSCombineDocumentInfo*) | element |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ getAt:()

- (FSCombineDocumentInfo *) getAt: |  | (unsigned long) | index |

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ getSize()

- (unsigned long) getSize |  |  |

Get the size of elements in current array.

Returns
  The size.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSCombineDocumentInfoArray*) | other |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## ◆ insertAt:element:()

- (void) insertAt: |  | (unsigned long) | index
element: |  | (FSCombineDocumentInfo*) | element

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ removeAll()

- (void) removeAll |  |  |

Remove all the element from current array.

Returns
  None.

## ◆ removeAt:()

- (void) removeAt: |  | (unsigned long) | index |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.